Bug 11758 - RedHat 6.2 Intel Serial Number Problem
RedHat 6.2 Intel Serial Number Problem
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Depends On:
  Show dependency treegraph
Reported: 2000-05-30 10:26 EDT by michael.goddard
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-05-30 10:26:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description michael.goddard 2000-05-30 10:26:51 EDT
Looking for closure on:

michael.goddard@amd.com wrote:
> Hi Doug,
> This is Mike Goddard from AMD, we met on a phone call a month or two ago.
> We (AMD) has been doing some internal testing of RedHat 6.2 in our lab on
> some of our yet to be released processors and found a CPUID "misuse"
> problem in (I believe) the kernel.  This causes a GPF on our new part.
> RedHat 6.1 did not have this problem.
> The sequence of events:
>         CPUID function 80000001 accesses the extended feature register,
> returning value in EDX
>         if (bit 18 set) {
>                 Push ptr to string "Disabling Pentium Serial Number"
>                 do some rdmsr/wrmsr stuff
>                 }
> Unlike the standard feature flags, the vendor feature flags are vendor
> specific, i.e. either
> "GenuineIntel" or "AuthenticAMD".  Or new processor used bit 18 of the
> 80000001
> extended feature flag to indicate ECC support not a serial number.
> If we use some internal tools to force bit 18 to zero, RedHat 6.2 boots
> fine.
> Can you help?

I'll take care of this in the next PIII patch that I put out (these patches
make changes to that specific code and will therefore fix the problem).


 Doug Ledford <dledford@redhat.com>  http://people.redhat.com/dledford
      Please check my web site for aic7xxx updates/answers before
                      e-mailing me about problems
Comment 1 Alan Cox 2000-08-08 17:48:58 EDT
This was also resolved in the standard kernels.

Note You need to log in before you can comment on or make changes to this bug.